
Hammer CLI - Bug #3960

Could not find 'fastercsv' gem with Fedora 19 RPMs

01/07/2014 01:30 PM - Dominic Cleal

Status: Closed   

Priority: High   

Assignee: Dominic Cleal   

Category: Hammer core   

Target version: 1.4.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  In Kanboard:  

Pull request:  Red Hat JIRA:  

Team Backlog:    

Description

The hammer command is failing with the F19 RPMs as it's trying to load fastercsv according to the gemspec.  Since this is a Ruby

2.0 platform, it's not actually needed, but the gemspec doesn't specify this.

not ok 15 check smart proxy is registered

# (in test file /usr/bin/fb-install-foreman.bats, line 135)

# /usr/share/rubygems/rubygems/dependency.rb:296:in `to_specs': Could not find 'fastercsv' (>= 0) 

among 94 total gem(s) (Gem::LoadError)

#     from /usr/share/rubygems/rubygems/specification.rb:1209:in `block in activate_dependencies'

#     from /usr/share/rubygems/rubygems/specification.rb:1198:in `each'

#     from /usr/share/rubygems/rubygems/specification.rb:1198:in `activate_dependencies'

#     from /usr/share/rubygems/rubygems/specification.rb:1180:in `activate'

#     from /usr/share/rubygems/rubygems/core_ext/kernel_gem.rb:48:in `gem'

#     from /usr/bin/hammer:22:in `<main>'

Associated revisions

Revision 0f7d219a - 01/27/2014 10:08 AM - Daniel Lobato Garcia

fixes #3960 - wrap APIv2 errors in an "error" node

Revision 2980561e - 01/28/2014 01:00 PM - Daniel Lobato Garcia

fixes #3960 - wrap APIv2 errors in an "error" node

(cherry picked from commit 0f7d219a4a65cd795eecd05117b08511d9025de2)

History

#1 - 01/07/2014 03:29 PM - Dominic Cleal

- Status changed from New to Closed

- Assignee set to Dominic Cleal

- Target version set to 1.9.3

- translation missing: en.field_release set to 2

Fixed in rubygem-hammer_cli-0.0.14-2.fc19.

#2 - 02/11/2014 02:40 PM - Dominic Cleal

The commit associated to this issue was actually #3869.
